# -*- encoding: utf-8 -*-
# stub: http-parser 1.2.3 ruby lib
# stub: ext/Rakefile

Gem::Specification.new do |s|
  s.name = "http-parser".freeze
  s.version = "1.2.3".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Stephen von Takach".freeze]
  s.date = "2021-01-11"
  s.description = "    A super fast http parser for ruby.\n    Cross platform and multiple ruby implementation support thanks to ffi.\n".freeze
  s.email = ["steve@cotag.me".freeze]
  s.extensions = ["ext/Rakefile".freeze]
  s.extra_rdoc_files = ["README.md".freeze]
  s.files = ["LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "ext/Rakefile".freeze, "ext/http-parser/http_parser.c".freeze, "ext/http-parser/http_parser.h".freeze, "http-parser.gemspec".freeze, "lib/http-parser.rb".freeze, "lib/http-parser/errors.rb".freeze, "lib/http-parser/ext.rb".freeze, "lib/http-parser/parser.rb".freeze, "lib/http-parser/types.rb".freeze, "lib/http-parser/version.rb".freeze, "spec/error_spec.rb".freeze, "spec/instance_spec.rb".freeze, "spec/parser_spec.rb".freeze]
  s.homepage = "https://github.com/cotag/http-parser".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "2.7.7".freeze
  s.summary = "Ruby bindings to joyent/http-parser".freeze
  s.test_files = ["spec/error_spec.rb".freeze, "spec/instance_spec.rb".freeze, "spec/parser_spec.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<ffi-compiler>.freeze, [">= 1.0".freeze, "< 2.0".freeze])
  s.add_development_dependency(%q<rake>.freeze, ["~> 11.2".freeze])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.5".freeze])
  s.add_development_dependency(%q<yard>.freeze, ["~> 0.9".freeze])
end

